import {Component} from 'angular2/core';
import {CORE_DIRECTIVES, FORM_DIRECTIVES} from 'angular2/common';
import {EJ_MENU_COMPONENTS} from 'ej/menu.component';
import {Component } from 'angular2/core';
import {ViewEncapsulation } from 'angular2/core';
import {encapsulation } from 'angular2/core'; 
@Component({
  selector: 'sd-home',
  templateUrl: 'app/components/menu/default.component.html',
  styleUrls: ['app/components/menu/default.component.css'], encapsulation: ViewEncapsulation.None,
  directives: [EJ_MENU_COMPONENTS, CORE_DIRECTIVES]
})
export class DefaultComponent {
	data:array;
	dxComponent:object;
    constructor() {
	
	this.data = [
             { Mid: 1, name: "Mail", parentId: null },
             { Mid: 2, name: "Calender", parentId: null },
             { Mid: 3, name: "Notes", parentId: null },
             { Mid: 4, name: "Contacts", parentId: null },
             //first level child
            { id: 11, parentId: 1, text: "Inbox", sprite: "mailicon sprite-inbox" },
             { id: 12, parentId: 1, text: "Drafts", sprite: "mailicon sprite-drafts" },
             { id: 13, parentId: 1, text: "Sent items", sprite: "mailicon sprite-sentitems" },
             { id: 14, parentId: 1, text: "Deleted", sprite: "mailicon sprite-deleted" },
             { id: 15, parentId: 1, text: "Junk mails", sprite: "mailicon sprite-junk" },
             { id: 16, parentId: 1, text: "Personal", sprite: "mailicon sprite-folders" },
             { id: 17, parentId: 2, text: "My Calender", sprite: "mailicon sprite-calendar" },
             { id: 18, parentId: 2, text: "Team", sprite: "mailicon sprite-calendar" },
             { id: 19, parentId: 2, text: "Others", sprite: "mailicon sprite-calendar" },
             { id: 20, parentId: 3, text: "My Reference", sprite: "mailicon sprite-folder" },
             { id: 21, parentId: 3, text: "Team Meeting", sprite: "mailicon sprite-folder" },
             { id: 22, parentId: 3, text: "Others", sprite: "mailicon sprite-folder" },
             { id: 23, parentId: 4, text: "Suggested", sprite: "mailicon sprite-contacts" },
             { id: 24, parentId: 4, text: "My Team", sprite: "mailicon sprite-contacts" },
             { id: 25, parentId: 4, text: "Others", sprite: "mailicon sprite-contacts" },
        ];
		let paramComponent = {
				dataSource: this.data, id: "Mid",
				text: "name"
				 child: { dataSource: this.data, id: "id", parentId: "parentId",text: "text" spriteCssClass:"sprite"}
			};
			this.dxComponent = paramComponent;

    }
    onItemClick(event) {
        console.log(event.text + " " + "is clicked");
    }
}