System.register(['angular2/core', 'angular2/router', './services/control-list.service', './services/northwind.service', './components/menu/default.component'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, router_1, control_list_service_1, northwind_service_1, menu;
    var AppComponent;
    function AsyncRoutes(params) {
        var maps = {}, locations = {};
        maps[params[0].path] = params[0].name;
        locations[params[0].path] = params[0].location;
        for (var i = 1; i < params.length; i++) {
            var element = params[i];
            maps[params[i].path] = params[i].name;
            locations[params[i].path] = params[i].location;
            params[i] = new router_1.AsyncRoute({
                path: element.path,
                loader: function (element) { return function () { return System.import(element.location).then(function (m) { return m[element.component]; }); }; }(element),
                name: element.name
            });
        }
        setTimeout(function () {
            AppComponent.Routers = maps;
            AppComponent.Locations = locations;
        }, 0);
        return params;
    }
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
            },
            function (router_1_1) {
                router_1 = router_1_1;
            },
            function (control_list_service_1_1) {
                control_list_service_1 = control_list_service_1_1;
            },
            function (northwind_service_1_1) {
                northwind_service_1 = northwind_service_1_1;
            },
            function (menu_1) {
                menu = menu_1;
            }],
        execute: function() {
            AppComponent = (function () {
                function AppComponent(router) {
                    var _this = this;
                    this.router = router;
                    this.router.subscribe(function (val) {
                        _this.routeName = AppComponent.Routers['/' + val];
                        _this.location = AppComponent.Locations['/' + val];
                    });
                }
                AppComponent = __decorate([
                    core_1.Component({
                        selector: 'ej-app',
                        viewProviders: [control_list_service_1.ControlListService, northwind_service_1.NorthwindService],
                        templateUrl: 'app/app.component.html',
                        encapsulation: core_1.ViewEncapsulation.None,
                        directives: [router_1.ROUTER_DIRECTIVES]
                    }),
                    router_1.RouteConfig(AsyncRoutes([
                        { path: '/', name: 'Menu', component: menu.DefaultComponent, location: 'app/components/menu/menu.component' },
                    ])), 
                    __metadata('design:paramtypes', [router_1.Router])
                ], AppComponent);
                return AppComponent;
            }());
            exports_1("AppComponent", AppComponent);
        }
    }
});
//# sourceMappingURL=app.component.js.map