System.register(['angular2/core', 'angular2/common', 'ej/menu.component'], function(exports_1, context_1) {
    "use strict";
    var __moduleName = context_1 && context_1.id;
    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var __metadata = (this && this.__metadata) || function (k, v) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
    };
    var core_1, common_1, menu_component_1, core_2;
    var DefaultComponent;
    return {
        setters:[
            function (core_1_1) {
                core_1 = core_1_1;
                core_2 = core_1_1;
            },
            function (common_1_1) {
                common_1 = common_1_1;
            },
            function (menu_component_1_1) {
                menu_component_1 = menu_component_1_1;
            }],
        execute: function() {
            DefaultComponent = (function () {
                function DefaultComponent() {
                    this.data = [
                        { Mid: 1, name: "Mail", parentId: null },
                        { Mid: 2, name: "Calender", parentId: null },
                        { Mid: 3, name: "Notes", parentId: null },
                        { Mid: 4, name: "Contacts", parentId: null },
                        //first level child
                        { id: 11, parentId: 1, text: "Inbox", sprite: "mailicon sprite-inbox" },
                        { id: 12, parentId: 1, text: "Drafts", sprite: "mailicon sprite-drafts" },
                        { id: 13, parentId: 1, text: "Sent items", sprite: "mailicon sprite-sentitems" },
                        { id: 14, parentId: 1, text: "Deleted", sprite: "mailicon sprite-deleted" },
                        { id: 15, parentId: 1, text: "Junk mails", sprite: "mailicon sprite-junk" },
                        { id: 16, parentId: 1, text: "Personal", sprite: "mailicon sprite-folders" },
                        { id: 17, parentId: 2, text: "My Calender", sprite: "mailicon sprite-calendar" },
                        { id: 18, parentId: 2, text: "Team", sprite: "mailicon sprite-calendar" },
                        { id: 19, parentId: 2, text: "Others", sprite: "mailicon sprite-calendar" },
                        { id: 20, parentId: 3, text: "My Reference", sprite: "mailicon sprite-folder" },
                        { id: 21, parentId: 3, text: "Team Meeting", sprite: "mailicon sprite-folder" },
                        { id: 22, parentId: 3, text: "Others", sprite: "mailicon sprite-folder" },
                        { id: 23, parentId: 4, text: "Suggested", sprite: "mailicon sprite-contacts" },
                        { id: 24, parentId: 4, text: "My Team", sprite: "mailicon sprite-contacts" },
                        { id: 25, parentId: 4, text: "Others", sprite: "mailicon sprite-contacts" },
                    ];
                    var paramComponent = {
                        dataSource: this.data, id: "Mid",
                        text: "name",
                        child: { dataSource: this.data, id: "id", parentId: "parentId", text: "text", spriteCssClass: "sprite" }
                    };
                    this.dxComponent = paramComponent;
                }
                DefaultComponent.prototype.onItemClick = function (event) {
                    console.log(event.text + " " + "is clicked");
                };
                DefaultComponent = __decorate([
                    core_1.Component({
                        selector: 'sd-home',
                        templateUrl: 'app/components/menu/default.component.html',
                        styleUrls: ['app/components/menu/default.component.css'], encapsulation: core_2.ViewEncapsulation.None,
                        directives: [menu_component_1.EJ_MENU_COMPONENTS, common_1.CORE_DIRECTIVES]
                    }), 
                    __metadata('design:paramtypes', [])
                ], DefaultComponent);
                return DefaultComponent;
            }());
            exports_1("DefaultComponent", DefaultComponent);
        }
    }
});
//# sourceMappingURL=default.component.js.map